RZPM(1)

NAME
RZPM - rizin package manager

SYNOPSIS
rz-pm [init|update|cmd] [...]

DESCRIPTION
Allows to install, update, uninstall and discover plugins and tools that can be used with rizin.

-a, repo
    Adds an external rz-pm repository, no arguments to -a will list all the registered repos, use '-a - repo' to unregister/remove those repos.

-I, info
    Show information about repository and installed packages

-i, install pkgname
    Install a package

-gi, global-install pkgname
    Install a package in the system directory

-t, test [OK|FX|BR|XX] [build-id]
    Show last build + testsuite run from travis, greps for errors

-u, uninstall pkgname
    Uninstall a package

-gu, global-install pkgname
    Uninstall a package from the system directory

-l, list
    List installed packages

-s, search keyword
    Search in database for packages matching keyword

-r, run command ...args
    Run command with RZPM_BINDIR in PATH

-v, version
    Show version information

-h, help
    Show usage help message

-c, clean
    Clean the source cache

-w, when
    Show when a package was installed or exit 1 if pkg does not exist

EXAMPLES

Initialize and update the package database

$ rz-pm init $ rz-pm update

Install a package

$ rz-pm install yara3

Install a test package (don't git pull on $RZPM_GITDIR/yara3)

$ RZPM_GITSKIP=1 rz-pm install yara3

Uninstall a package

$ rz-pm uninstall yara3

Search a package

$ rz-pm search yara

List available packages

$ rz-pm -s

SEE ALSO

rizin(1)